package com.bjlt.spider.search.service.spiderservice;

import com.bjlt.spider.entity.SearchRequestAfterOta;
import com.bjlt.spider.entity.SearchRequestEntity;
import com.bjlt.spider.util.RespEntity;
import org.springframework.web.bind.annotation.RequestBody;

import java.sql.SQLException;
import java.util.Map;
import java.util.Set;

/**
 * @author: Scott
 * @Description:
 * @Date: Create in 20:22 2017/10/18
 */
public interface CreateSpiderService {
     /**
      * 创建爬虫
      * @param otaConfig
      * @return
      * @throws SQLException
      */
     RespEntity createSpider(@RequestBody SearchRequestAfterOta otaConfig) throws SQLException;


     /**
      * 分组爬虫
      * @param requestEntities
      * @return
      * @throws Exception
      */
     Map <String,Object> reduceSpider(Set<SearchRequestEntity> requestEntities)throws Exception;







}
