package com.bjlt.spider.utils;

import java.net.InetAddress;
import java.net.UnknownHostException;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Random;

/**
 * @author: Scott
 * @Description:
 * @Date: Create in 14:35 2017/10/23
 */
public class ActionIdUtils {

    static DateFormat dateFormat2 = new SimpleDateFormat("yyyyMMddHHmmssSSS");


    static Random r = new Random();


    public static String getUUID() {
       // verify ID =毫秒数 + 服务器IP尾号 + 线程ID + 5位随机数


        String ip = r.nextInt(1000) + "";

        String hostAddress = null;
        try {
            hostAddress = InetAddress.getLocalHost().getHostAddress();
        } catch (UnknownHostException e) {
            hostAddress = "127.0.0.1";
        }

        if (hostAddress != null) {
            String[] split = hostAddress.split("\\.");
            ip = split[split.length - 1];

        }


        String format = dateFormat2.format(new Date()) + Thread.currentThread().getId() + ip + r.nextInt(100000);


        return format;
    }
}
