//package com.bjlt.spider.config;
//
//import org.aspectj.lang.JoinPoint;
//import org.aspectj.lang.ProceedingJoinPoint;
//import org.aspectj.lang.annotation.Around;
//import org.aspectj.lang.annotation.Aspect;
//import org.aspectj.lang.annotation.Before;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.boot.actuate.metrics.CounterService;
//import org.springframework.boot.actuate.metrics.GaugeService;
//import org.springframework.stereotype.Component;
//
//@Aspect
//@Component
//public class ServiceMonitor {
//
//    @Autowired
//    private CounterService counterService;
//
//    @Autowired
//    private GaugeService gaugeService;
//
//    @Around("execution(* com.bjlt.spider.search.controller.CreatSpiderController.*(..))")
//    public void latencyService(ProceedingJoinPoint pjp) throws Throwable {
//        long start = System.currentTimeMillis();
//        pjp.proceed();
//        long end = System.currentTimeMillis();
//        gaugeService.submit(pjp.getSignature().toString(), end - start);
//    }
//
//    @Before("execution(* com.bjlt.spider.search.controller.CreatSpiderController.*(..))")
//    public void countServiceInvoke(JoinPoint joinPoint) {
//        counterService.increment(joinPoint.getSignature() + "");
//    }
//
//}