package com.bjlt.spider.search.service.impl;

import com.bjlt.spider.entity.AirLineExchangeVo;
import com.bjlt.spider.search.dao.AirLineExchangeDao;
import com.bjlt.spider.search.service.AirLineExchangeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.RequestBody;

import java.sql.SQLException;
import java.util.List;

/**
 * @author: Scott
 * @Description:
 * @Date: Create in 15:42 2017/10/14
 */
@Service
@Transactional
public class AirLineExchangeServiceImpl implements AirLineExchangeService {


    @Autowired
    private AirLineExchangeDao exchangeDao;

    @Override
    public List<AirLineExchangeVo> listAirLineExchangeVo(@RequestBody AirLineExchangeVo vo) throws SQLException {
        return exchangeDao.listAirLineExchangeVo(vo);
    }


//    @Override
//    public List<AirLineExchangeVo> listPageAirLineExchange(AirLineExchangeVo vo)throws SQLException{
//        return exchangeDao.listPageAirLineExchange(vo);
//    }
    @Override
    public void  deleteAirLineExchange(AirLineExchangeVo vo)throws SQLException{
        exchangeDao.deleteAirLineExchange(vo);
    }


    @Override
    public void insertSelective(AirLineExchangeVo vo)throws SQLException{
        exchangeDao.insertSelective(vo);
    }

    @Override
    public void updateByPrimaryKeySelective(AirLineExchangeVo vo)throws SQLException{
        exchangeDao.updateByPrimaryKeySelective(vo);
    }
}
