package com.bjlt.spider.spiderhandler;

import com.bjlt.spider.config.HandlerInitListener;
import com.bjlt.spider.entity.SearchRequestEntity;
import com.bjlt.spider.util.RespEntity;

/**
 * @author: Scott
 * @Description:
 * @Date: Create in 14:47 2017/10/21
 */
public class DefaultSpiderHandler {

    private SearchRequestEntity entity;

    public DefaultSpiderHandler(SearchRequestEntity entity) {
        this.entity = entity;
    }


    public RespEntity getDefult()  {
        RespEntity respEntity = null;
        try {
            //根据 eneity  确定不同的 接口 TODO
            respEntity = HandlerInitListener.searchMethodMap.get(entity.getAirSource()).webSearch(entity);
        } catch (Exception e) {
            e.printStackTrace();
            return new RespEntity(0007,"RPC异常");
        }
        return respEntity;
    }
}
